Subject: Re: [take26-resend1 0/8] kevent: Generic event handling mechanism.

From: Jeff Garzik <[email-masked]>
Date: Mon, 11 Dec 2006 10:16:30 -0500

Comments:

* [oh, everybody will hate me for saying this, but...]  to me, "kevent" 
implies an internal kernel subsystem.  I would rather call it "uevent" 
or anything else lacking a 'k' prefix.

* I like the absolute timespec (and use of timespec itself)

* more on naming:  I think kevent_open would be more natural than 
kevent_init, since it opens a file descriptor.

* why is KEVENT_MAX not equal to KEVENT_POSIX_TIMER?  (perhaps answer 
this question in a comment, if it is not a mistake)

* Kill all the CONFIG_KEVENT_xxx sub-options, or hide them under 
CONFIG_EMBEDDED.  Application developers should NOT be left wondering 
whether or support for KEVENT_INODE was compiled into the kernel.